export const columns = [
  {
    title: window.$t("lotCard.iccid"),
    dataIndex: "iccid",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.sourcePlan"),
    dataIndex: "source",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.userName"),
    dataIndex: "userName",
    align: "center",
    ellipsis: true,
  },
  { title: "IMSI", dataIndex: "currentImsi", align: "center", ellipsis: true },
  {
    title: window.$t("lotCard.bind"),
    dataIndex: "currentImsi",
    align: "center",
    ellipsis: true,
  },
  {
    title: "SIM货币余额",
    dataIndex: "moneyBalances",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.GenerationDate"),
    dataIndex: "createTime",
    align: "center",
    ellipsis: true,
  },
  // { title: '支付方式', dataIndex: 'payType', align: 'center', ellipsis: true },
  {
    title: window.$t("lotCard.SimStatus"),
    dataIndex: "iccidStatus",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.DatapackageStatus"),
    dataIndex: "DatapackageStatus",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.TotalFlow"),
    dataIndex: "dataUsageTotal",
    slotName: "dataUsageTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.MinutesIncomingVoiceCalls"),
    dataIndex: "voiceMtTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.MinutesOutgoingVoiceCalls"),
    dataIndex: "voiceMoTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.TotalVoiceMinutes"),
    dataIndex: "voiceTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.NumberTextMessagesSent"),
    dataIndex: "smsTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.validity") + window.$t("lotCard.month"),
    dataIndex: "validMonth",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.ClosingDate"),
    dataIndex: "closeTime",
    align: "center",
    ellipsis: true,
  },
  {
    title: "SIM" + window.$t("lotCard.ActivationDate"),
    dataIndex: "activeTime",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.CardPackage"),
    dataIndex: "tariffName",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.EarlyWarningState"),
    dataIndex: "forewarningStatus",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.PoolName_Number"),
    dataIndex: "poolNum",
    slotName: "poolNum",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.TheExpirationTime"),
    dataIndex: "periodOfSilence",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.UsedPlanData"),
    dataIndex: "dataUsage",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.AvailablePlanData"),
    dataIndex: "dataTotal",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.used"),
    dataIndex: "usedBg",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.available"),
    dataIndex: "usableBg",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("lotCard.DefaultRate"),
    dataIndex: "dataSpeed",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    dataIndex: "id",
    slotName: "id",
    align: "center",
    width: 200,
    fixed: "right",
  },
];

export const columnsTrafficUse = [
  {
    title: window.$t("lotCard.appName"),
    dataIndex: "appName",
    align: "center",
  },
  {
    title: window.$t("lotCard.mcc"),
    dataIndex: "mcc",
    align: "center",
    width: 100,
  },
  {
    title: window.$t("lotCard.qtaconsumption"),
    dataIndex: "qtaconsumption",
    align: "center",
  },
  { title: window.$t("lotCard.time"), dataIndex: "time", align: "center" },
];

export const SearchForm = [
  {
    type: "input",
    label: "ICCID",
    field: "iccid",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "来源",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "IMSI",
    field: "currentImsi",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "流量包状态",
    field: "simType",
    options: [], // 默认空，后面会通过字典加载
    dict: "account",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "SIM状态",
    field: "iccidstatus",
    options: [], // 默认空，后面会通过字典加载
    dict: "account",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "SIM激活日期",
    field: "activeTime",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "SIM关闭日期",
    field: "closeTime",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "input",
    label: "IMSI所属供应商名称 ",
    field: "currentImsiProvider",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
];
