export let columns = [
  {
    title: window.$t("tariffManagement.id"),
    dataIndex: "Number",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.feeCode'), dataIndex: 'feeCode', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.userName"),
    dataIndex: "userName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.simDataPlanIdName"),
    dataIndex: "metadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.TestFlowPacketName"),
    dataIndex: "testMetadataPackagesName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.trafficType'), dataIndex: 'trafficTypeName', align: 'center', width: 200 },
  // { title: window.$t('tariffManagement.billingType'), dataIndex: 'billingTypeName', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.billingCycle"),
    dataIndex: "billingCycleName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.BillingMode"),
    dataIndex: "billingMethodName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.bagSize'), dataIndex: 'bagSize', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.pricing"),
    dataIndex: "pricingName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  // { title: window.$t('tariffManagement.billingMethod'), dataIndex: 'billing_method', align: 'center', width: 200 },
  {
    title: window.$t("tariffManagement.ActivatedNames"),
    dataIndex: "Activated",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.feeStatus"),
    dataIndex: "status",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.MRCName"),
    dataIndex: "mrcAmount",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.networkName"),
    dataIndex: "networkAccessFee",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.endDate"),
    dataIndex: "endDate",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    dataIndex: "id",
    slotName: "id",
    align: "center",
    width: 180,
    fixed: "right",
  },
];
// 资费套餐
export const planColumns = [
  {
    title: window.$t("tariffManagement.feeCode"),
    dataIndex: "feeCode",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
  },
  {
    title: window.$t("tariffManagement.bagSize"),
    dataIndex: "bag_size",
    align: "center",
    width: 200,
  },
];

// 资费搜索字段
export const trafficSearchFrom = [
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "资费名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "供应商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费方式",
    field: "billingMethod",
    options: [], // 默认空，后面会通过字典加载
    dict: "billingMethod",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "计费周期",
    field: "BillingCycle",
    options: [], // 默认空，后面会通过字典加载
    dict: "BillingCycle",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endDate",
    value: "", // 双向绑定的值
    width: "200",
  },
];

// 客户搜索字段
export const UserSearchForm = [
  {
    type: "input",
    label: "客户名称",
    field: "name",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "客户账号",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "客户状态",
    field: "state",
    options: [], // 默认空，后面会通过字典加载
    dict: "userType",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "range-picker",
    label: "创建时间",
    field: "createdAt",
    value: [], // 双向绑定的值
    width: "300",
    Custom: 'mode="month"', // 自定义值
  },
];

export const UserColumns = [
  {
    title: window.$t("customer.id"),
    dataIndex: "id",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("customer.customerName"),
    dataIndex: "name",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("customer.userAdmin"),
    dataIndex: "username",
    align: "center",
    minWidth: "200",
  },
  {
    title: window.$t("customer.customerStatus"),
    slotName: "state",
    align: "center",
    ellipsis: true,
  },
  { title: "app_key  ", dataIndex: "appKey", align: "center", ellipsis: true },
  {
    title: "app_secret",
    dataIndex: "appSecret",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("customer.startTime"),
    dataIndex: "createdAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("customer.updateTime"),
    dataIndex: "updatedAt",
    align: "center",
    ellipsis: true,
  },
  {
    title: window.$t("global.common.operations"),
    slotName: "operation",
    align: "center",
    ellipsis: true,
    fixed: "right",
  },
];
